#
# Conditional build:
%bcond_without	cryptopp	# selective encryption using crypto++

Summary:	Kvazaar - open-source HEVC encoder
Summary(pl.UTF-8):	Kvazaar - koder HEVC o otwartych źródłach
Name:		kvazaar
Version:	1.3.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/ultravideo/kvazaar/releases
Source0:	https://github.com/ultravideo/kvazaar/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	8c947249e990af1a3cf721759a6a3255
Patch0:		x32.patch
Patch1:		%{name}-link.patch
URL:		https://github.com/ultravideo/kvazaar
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
%{?with_cryptopp:BuildRequires:	cryptopp-devel}
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%ifarch %{ix86} %{x8664} x32
BuildRequires:	yasm
%endif
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kvazaar is an open-source HEVC encoder licensed under LGPL v2.1.

%description -l pl.UTF-8
Kvazaar to mający otwarte źródła koder HEVC, wydany na licencji LGPL
v2.1.

%package libs
Summary:	Kvazaar library
Summary(pl.UTF-8):	Biblioteka Kvazaar
Group:		Libraries
Conflicts:	kvazaar < 0.8.2-3

%description libs
Kvazaar library.

%description libs -l pl.UTF-8
Biblioteka Kvazaar.

%package devel
Summary:	Header files for Kvazaar library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Kvazaar
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Kvazaar library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Kvazaar.

%package static
Summary:	Static Kvazaar library
Summary(pl.UTF-8):	Statyczna biblioteka Kvazaar
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Kvazaar library.

%description static -l pl.UTF-8
Statyczna biblioteka Kvazaar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_cryptopp:--with-cryptopp}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libkvazaar.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/kvazaar

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING CREDITS README.md doc/syntax_elements.txt
%attr(755,root,root) %{_bindir}/kvazaar
%{_mandir}/man1/kvazaar.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkvazaar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkvazaar.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkvazaar.so
%{_includedir}/kvazaar.h
%{_pkgconfigdir}/kvazaar.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libkvazaar.a
%changelog
* Mon Jul 22 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kvazaar.git;a=log;h=master

* Mon Jul 22 2019 Jakub Bogusz <qboosh@pld-linux.org> c7076b7
- updated to 1.3.0
- removed obsolete cryptopp patch

* Mon Dec 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 95132d0
- added cryptopp patch (fixes build with cryptopp 8); release 2

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 45249e9
- updated to 1.2.0 (note: new soname)

* Wed Jun 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 430852f
- updated to 1.1.0
- rewritten x32 patch to apply unconditionally
- added link patch (adds missing linking with libpthread)

* Sun Apr 17 2016 Elan Ruusamäe <glen@delfi.ee> 90917ce
- split libs for multilib support

* Tue Mar 15 2016 Jan Rękorajski <baggins@pld-linux.org> 0711436
- fix building on x32
- rel 2

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 4517a09
- check-files cleanup, ac/am/lt versions

* Wed Feb 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0729458
- up to 0.8.2

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 614d460
- non-parallel install

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> c8a8bc4
- use ARCH_X86_64=1 on x32; builds now

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> ca06549
- new

